List
curl --request GET \
--url https://{defaultHost}/v1/bumps \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/bumps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/bumps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/bumps"
},
"data": [
{
"id": "002dba71-6a26-4927-b5bb-c0b697648deb",
"object": "bump",
"amount_off": null,
"archived": false,
"archived_at": null,
"auto_apply": false,
"filter_match_type": null,
"filter_price_ids": [],
"filter_product_ids": [],
"metadata": {},
"name": "Bundle Discount",
"percent_off": null,
"priority": 5,
"price": "b4f834b6-2997-4639-840e-49bc18fe117b",
"discarded_at": null,
"created_at": 1782485807,
"updated_at": 1782485807
}
]
}Bumps
List
Returns a list of your bumps.
GET
/
v1
/
bumps
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that are archived or not archived.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
Only return objects that belong to the given products.
Was this page helpful?
⌘I